Package fr.gouv.vitam.metadata.core.reconstruction.domain.extractor

# Class UnitPurgedPersistentIdentifierExtractor

java.lang.Object
fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.PurgedPersistentIdentifierExtractor
fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.UnitPurgedPersistentIdentifierExtractor

public class UnitPurgedPersistentIdentifierExtractor extends PurgedPersistentIdentifierExtractor

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.PurgedPersistentIdentifierExtractor

  `OBJECT, UNIT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnitPurgedPersistentIdentifierExtractor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PurgedPersistentIdentifier`
  `buildUnitPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode element, ReconstructionOperation operation)`
  `List<PurgedPersistentIdentifier>`
  `extractPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode node, ReconstructionOperation operation)`

  ### Methods inherited from class fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.PurgedPersistentIdentifierExtractor

  `extractPersistentIdentifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnitPurgedPersistentIdentifierExtractor

    public UnitPurgedPersistentIdentifierExtractor()

- ## Method Details

  - ### extractPurgedPersistentIdentifier

    public List<PurgedPersistentIdentifier> extractPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode node, ReconstructionOperation operation)
    Specified by:
      `extractPurgedPersistentIdentifier` in class `PurgedPersistentIdentifierExtractor`

  - ### buildUnitPurgedPersistentIdentifier

    public PurgedPersistentIdentifier buildUnitPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode element, ReconstructionOperation operation)